import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:image_picker_multiple/image_picker_multiple.dart';

void main() => runApp(new MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => new _MyAppState();
}

class _MyAppState extends State<MyApp> {
  String _platformVersion = 'Unknown';

  @override
  initState() {
    super.initState();
  }

  // Platform messages are asynchronous, so we initialize in an async method.
  initPlatformState() async {
    List<dynamic> platformVersion;
    // Platform messages may fail, so we use a try/catch PlatformException.
    try {
      platformVersion = await MultipleImagePicker.pickImage([
        /*'/storage/emulated/0/DCIM/Screenshots/Screenshot_20180116-211623.png',
        '/storage/emulated/0/DCIM/Screenshots/Screenshot_20180208-170512.png',*/
      ]);
      print(platformVersion);
    } on PlatformException {
//      platformVersion = 'Failed to get platform version.';
    }

    // If the widget was removed from the tree while the asynchronous platform
    // message was in flight, we want to discard the reply rather than calling
    // setState to update our non-existent appearance.
  if (!mounted) return;

  setState(() {
  _platformVersion = platformVersion.toString();
  });
}

  @override
  Widget build(BuildContext context) {
    return new MaterialApp(
      home: new Scaffold(
        appBar: new AppBar(
          title: new Text('Plugin example app'),
        ),
        body: new Center(
          child: new Text('pic list : $_platformVersion\n'),
        ),
        floatingActionButton: new FloatingActionButton(
          onPressed: () {
            initPlatformState();
          },
        ),
      ),
    );
  }
}
